> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/cursor.md).

# Cursor 로그(베타)

## 개요

{% hint style="info" %}
Cursor Audit 로그 수집은 Panther 버전 1.126부터 오픈 베타로 제공되며, 모든 고객이 사용할 수 있습니다. 버그 보고와 기능 요청은 Panther 지원 팀에 공유해 주세요.
{% endhint %}

Panther는 수집을 지원합니다 [Cursor](https://cursor.com/docs) Panther의 HTTP 엔드포인트로 이벤트를 게시하도록 Cursor 웹훅을 구성하여 로그를 수집합니다.

## Cursor 로그를 Panther에 온보딩하는 방법

### 사전 요구 사항

* 관리자 권한이 있는 활성 Cursor Enterprise 구독

### 1단계: Panther에서 새 Cursor 소스 생성

1. Panther Console의 왼쪽 탐색 모음에서 클릭 **로그 소스.**
2. 클릭합니다 **새로 만들기**.
3. “Cursor”를 검색한 다음 해당 타일을 클릭합니다.
4. 오른쪽 상단에서 다음을 클릭하세요: **설정 시작**.
5. Panther의 [HTTP 소스 구성 지침을 따르세요](/ko/data-onboarding/data-transports/http.md#how-to-set-up-an-http-log-source-in-panther), 5단계부터 시작합니다.
   * 설정할 때 **인증 방식**, 다음을 사용해야 합니다 **Bearer**.
   * 이 소스로 전송되는 페이로드는 [모든 HTTP 소스의 페이로드 요구사항](/ko/data-onboarding/data-transports/http.md#payload-requirements).
   * HTTP 엔드포인트 생성이 완료될 때까지 다음 단계로 진행하지 마세요.

### 2단계: Cursor에서 스트리밍 감사 로그 활성화

Panther HTTP 엔드포인트가 준비되면 Cursor 지원 팀에 다음 주소로 문의하세요: <hi@cursor.com> 관리자 이메일 주소로 문의하여 계정에 대한 스트리밍 감사 로그 활성화를 요청합니다.

요청에 다음 정보를 포함하세요:

1. Enterprise 팀 정보(팀 이름 또는 관리자 연락처)
2. Panther HTTP 웹훅 URL(1단계에서 가져옴)
3. Panther 구성에 사용하는 Bearer 토큰 값(팀에서 선호하는 보안 방법을 사용하시면 됩니다. 예: 비밀번호 관리자 공유 링크 또는 암호화된 파일).

Cursor 지원에서 스트리밍이 활성화되었다고 확인하면 Panther Console로 돌아가 감사 로그 이벤트가 성공적으로 수신되는지 확인하세요.

## 지원되는 로그 유형

### Cursor.Audit

감사 로그는 보안 이벤트와 관리 작업의 기록을 제공하여 규정 준수 요구 사항을 충족하고 보안 사고를 조사하는 데 도움을 줍니다.

자세한 내용은 다음을 참조하세요 [Cursor 규정 준수 및 모니터링](https://cursor.com/docs/enterprise/compliance-and-monitoring) 페이지.

```yaml
schema: Cursor.Audit
description: 감사 로그는 보안 이벤트와 관리 작업의 기록을 제공하며, 규정 준수 요구 사항을 충족하고 보안 사고를 조사하는 데 도움이 됩니다.
referenceURL: https://cursor.com/docs/enterprise/compliance-and-monitoring
필드:
  - name: add_user
    description: 팀에 추가되는 사용자에 대한 세부 정보
    유형: object
    필드:
      - name: source
        description: 사용자가 추가된 방법(예: autoEnroll, sso)
        유형: string
      - name: team_id
        description: 사용자가 추가된 팀 ID
        유형: string
      - name: user_email
        description: 추가되는 사용자의 이메일
        유형: string
        지표:
          - email
      - name: invited_by_user_id
        description: 초대한 사람의 사용자 ID
        유형: string
      - 이름: role
        description: 새 사용자에게 할당된 역할
        유형: string
  - 이름: api_key
    description: 서비스 계정 API 키 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: API 키에 수행된 작업(예: 생성)
        유형: string
      - 이름: api_key_id
        description: API 키의 고유 식별자
        유형: string
      - name: repo_scope_enabled
        description: 해당 키에 대해 리포지토리 범위가 활성화되어 있는지 여부
        유형: boolean
      - name: service_account_id
        description: 키가 속한 서비스 계정의 ID
        유형: string
      - name: service_account_name
        description: 키가 속한 서비스 계정의 이름
        유형: string
  - name: bugbot_team_settings
    description: Bugbot 팀 설정 변경 사항
    유형: object
    필드:
      - name: new_value
        description: 새 Bugbot 팀 설정 값
        유형: string
      - name: setting_name
        description: 설정 이름
        유형: string
  - name: invite_email_sent
    description: 초대 이메일이 전송된 것에 대한 세부 정보
    유형: object
    필드:
      - name: invite_id
        description: 초대의 고유 식별자
        유형: string
      - name: personal_message
        description: 개인 메시지가 포함되었는지 여부
        유형: string
      - name: recipient_email
        description: 초대 수신자의 이메일 주소
        유형: string
        지표:
          - email
      - 이름: role
        description: 초대로 부여된 역할
        유형: string
      - name: sender_email
        description: 초대 발신자의 이메일 주소
        유형: string
        지표:
          - email
      - name: sender_user_id
        description: 초대 발신자의 사용자 ID
        유형: string
  - name: invite_link
    description: 초대 링크 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 초대 링크에 수행된 작업(예: 생성)
        유형: string
      - name: creator_email
        description: 초대 링크 생성자의 이메일
        유형: string
        지표:
          - email
      - name: creator_user_id
        description: 초대 링크 생성자의 사용자 ID
        유형: string
      - name: expires_in_seconds
        description: 초대 링크의 만료 기간(초)
        유형: bigint
      - name: invite_id
        description: 초대 링크의 고유 식별자
        유형: string
      - 이름: role
        description: 초대 링크로 부여된 역할
        유형: string
  - 이름: ip_address
    description: 행위자의 IP 주소
    유형: string
    지표:
      - ip
  - 이름: login
    description: 로그인 이벤트에 대한 세부 정보
    유형: object
    필드:
      - name: login_type
        description: 로그인 유형(예: LOGIN_TYPE_WEB)
        유형: string
      - 이름: success
        description: 로그인이 성공했는지 여부
        유형: boolean
  - name: mcp_server_config
    description: MCP 서버 구성 변경에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: MCP 서버에 수행된 작업(예: 생성, 삭제)
        유형: string
      - name: scope
        description: MCP 서버 구성 범위(예: 사용자, 팀)
        유형: string
      - name: server_name
        description: MCP 서버 이름
        유형: string
      - name: server_type
        description: MCP 서버 유형(예: HTTP)
        유형: string
  - 이름: metadata
    description: 요청 및 컨텍스트 메타데이터
    유형: object
    필드:
      - 이름: id
        description: 고유 이벤트 ID
        유형: string
        지표:
          - trace_id
      - 이름: timestamp
        필수: true
        설명: 이벤트의 타임스탬프
        유형: timestamp
        시간 형식:
          - rfc3339
        이벤트 시간 여부: true
      - 이름: context
        description: 요청 컨텍스트
        유형: object
        필드:
          - name: auth_id
            description: 인증된 사용자 ID
            유형: string
            지표:
              - actor_id
          - name: ghost_mode
            description: 고스트 모드가 활성화되어 있었는지 여부
            유형: boolean
          - name: privacy_mode
            description: 프라이버시 모드 설정
            유형: string
          - 이름: request_id
            description: 고유 요청 ID
            유형: string
            지표:
              - trace_id
  - name: remove_user
    description: 팀에서 제거되는 사용자에 대한 세부 정보
    유형: object
    필드:
      - name: user_email
        description: 제거되는 사용자의 이메일
        유형: string
        지표:
          - email
  - 이름: service_account
    description: 서비스 계정 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 서비스 계정에 수행된 작업(예: 생성, 보관)
        유형: string
      - name: service_account_id
        description: 서비스 계정의 고유 식별자
        유형: string
      - name: service_account_name
        description: 서비스 계정 이름
        유형: string
  - name: team_api_key
    description: 팀 API 키 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: API 키에 수행된 작업(예: 취소)
        유형: string
  - name: team_command
    description: 팀 명령 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 명령에 수행된 작업(예: 생성, 삭제)
        유형: string
      - name: command_id
        description: 명령의 고유 식별자
        유형: string
      - name: command_name
        description: 명령 이름
        유형: string
      - name: is_active
        description: 명령이 활성 상태인지 여부
        유형: boolean
  - name: team_hook
    description: 팀 훅 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 훅에 수행된 작업(예: 생성, 삭제)
        유형: string
      - name: hook_id
        description: 훅의 고유 식별자
        유형: string
      - name: hook_step
        description: 훅이 실행되는 단계(예: beforeShellExecution)
        유형: string
      - name: hook_type
        description: 훅 유형(예: command)
        유형: string
      - name: is_active
        description: 훅이 활성 상태인지 여부
        유형: boolean
      - name: operating_systems
        description: 훅이 적용되는 운영 체제
        유형: array
        요소:
          유형: string
      - name: script_content
        description: 훅 스크립트 내용
        유형: string
      - name: script_name
        description: 훅 스크립트 이름
        유형: string
  - name: team_id
    description: 팀의 고유 식별자
    유형: string
  - name: team_marketplace
    description: 팀 마켓플레이스 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 마켓플레이스에 수행된 작업(예: 생성)
        유형: string
      - name: marketplace_id
        description: 마켓플레이스의 고유 식별자
        유형: string
      - name: marketplace_name
        description: 마켓플레이스 내부 이름
        유형: string
      - name: marketplace_display_name
        description: 마켓플레이스 표시 이름
        유형: string
      - name: new_auto_reindex
        description: 새 자동 재인덱싱 설정
        유형: boolean
      - name: old_auto_reindex
        description: 이전 자동 재인덱싱 설정
        유형: boolean
      - name: plugin_id
        description: 관련된 플러그인의 ID
        유형: string
      - name: plugins_created
        description: 생성된 플러그인 수
        유형: int
      - name: plugins_deprecated
        description: 더 이상 사용되지 않게 된 플러그인 수
        유형: int
      - name: plugins_indexed
        description: 인덱싱된 플러그인 수
        유형: int
      - name: plugins_updated
        description: 업데이트된 플러그인 수
        유형: int
      - name: team_id
        description: 마켓플레이스와 연결된 팀 ID
        유형: string
  - name: team_룰
    description: 팀 룰 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 룰에 수행된 작업(예: 생성, 삭제)
        유형: string
      - name: is_active
        description: 룰이 활성 상태인지 여부
        유형: boolean
      - name: is_required
        description: 룰이 필수인지 여부
        유형: boolean
      - 이름: 룰_id
        description: 룰의 고유 식별자
        유형: string
      - 이름: 룰_name
        description: 룰 이름
        유형: string
  - name: team_settings
    description: 팀 설정 변경에 대한 세부 정보
    유형: object
    필드:
      - name: setting_name
        description: 변경된 설정 이름
        유형: string
      - name: old_value
        description: 설정의 이전 값
        유형: string
      - name: new_value
        description: 설정의 새 값
        유형: string
  - name: update_user_role
    description: 사용자 역할 업데이트에 대한 세부 정보
    유형: object
    필드:
      - name: user_email
        description: 역할이 업데이트된 사용자의 이메일
        유형: string
        지표:
          - email
      - name: old_role
        description: 사용자의 이전 역할
        유형: string
      - name: new_role
        description: 사용자에게 할당된 새 역할
        유형: string
  - name: user_api_key
    description: 사용자 수준 API 키 작업에 대한 세부 정보
    유형: object
    필드:
      - 이름: action
        description: 사용자 API 키에 수행된 작업(예: 생성, 취소)
        유형: string
  - name: user_email
    description: 작업을 수행한 사용자의 이메일
    유형: string
    지표:
      - email
  - name: user_spend_limit
    description: 사용자 지출 한도 변경에 대한 세부 정보
    유형: object
    필드:
      - name: new_limit_cents
        description: 센트 단위의 새 지출 한도
        유형: bigint
      - name: old_limit_cents
        description: 센트 단위의 이전 지출 한도
        유형: bigint
      - name: target_user_email
        description: 지출 한도가 변경된 사용자의 이메일
        유형: string
        지표:
          - email
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/cursor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
